/* DXRubyExtension 外部インターフェース */

VALUE DXRubyEx_CollisionBox_set( VALUE obj, int x, int y );
VALUE DXRubyEx_CollisionBox_setrange( VALUE obj, int x1, int y1, int x2, int y2 );
VALUE DXRubyEx_CollisionBox_delete( VALUE obj );
VALUE DXRubyEx_CollisionCircle_set( VALUE obj, int x, int y );
VALUE DXRubyEx_CollisionCircle_setrange( VALUE obj, int x1, int y1, int r );
VALUE DXRubyEx_CollisionCircle_delete( VALUE obj );
VALUE DXRubyEx_CollisionPoint_set( VALUE obj, int x, int y );
VALUE DXRubyEx_CollisionPoint_delete( VALUE obj );
VALUE DXRubyEx_CollisionTriangle_set( VALUE obj, int x, int y );
VALUE DXRubyEx_CollisionTriangle_setrange( VALUE obj, int x1, int y1, int x2, int y2, int x3, int y3 );
VALUE DXRubyEx_CollisionTriangle_delete( VALUE obj );
